From e99463b8de624ff642ae35f344f0ad8180eb0de7 Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <raghavgururajan@disroot.org>
Date: Wed, 1 Apr 2020 19:03:00 -0400
Subject: [PATCH 8/8] gnu: Add bzrtp

* gnu/packages/linphone.scm (bzrtp): New variable.
---
 gnu/packages/linphone.scm | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/gnu/packages/linphone.scm b/gnu/packages/linphone.scm
index 233041afd8..3be35bdb74 100644
--- a/gnu/packages/linphone.scm
+++ b/gnu/packages/linphone.scm
@@ -22,7 +22,9 @@
   #:use-module (gnu packages base)
   #:use-module (gnu packages documentation)
   #:use-module (gnu packages graphviz)
+  #:use-module (gnu packages sqlite)
   #:use-module (gnu packages tls)
+  #:use-module (gnu packages xml)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix packages)
   #:use-module (guix download)
@@ -221,3 +223,32 @@ such as conferencing.")
 RFC 3550 standard.")
     (home-page "https://gitlab.linphone.org/BC/public/ortp")
     (license license:gpl2+)))
+
+(define-public bzrtp
+  (package
+    (name "bzrtp")
+    (version "1.0.6")
+    (source
+     (origin
+       (method url-fetch)
+       (uri
+        (string-append "https://www.linphone.org/releases/sources/" name
+                       "/" name "-" version ".tar.gz"))
+       (sha256
+        (base32 "12y0kkh90pixaaxfyx26ca2brhy6nw57fsypp6vh8jk1illv0j5z"))))
+    (build-system cmake-build-system)
+    (arguments
+     `(#:tests? #f                      ; No test target
+       #:configure-flags
+       (list
+        "-DENABLE_STATIC=NO")))
+    (inputs
+     `(("bctoolbox" ,bctoolbox)
+       ("sqlite3" ,sqlite)
+       ("xml2" ,libxml2)))
+    (synopsis "Belledonne Communications ZRTP Library")
+    (description "BZRTP is an implementation of ZRTP keys exchange
+protocol, written in C.  It is fully portable and can be executed on many
+platforms including both ARM and x86.")
+    (home-page "https://gitlab.linphone.org/BC/public/bzrtp")
+    (license license:gpl2+)))
-- 
2.26.0

